Skip to main content
`Ctrl`+`K`

# DSParallelType

Indicates the parallel mode that the direct solver will use.

## Synopsis

    typedef enum { DS_PARALLEL_REDUNDANT,
                   DS_PARALLEL_SYNCHRONIZED,
                   DS_PARALLEL_DISTRIBUTED } DSParallelType;

## Values

- `DS_PARALLEL_REDUNDANT` - redundant computation

- `DS_PARALLEL_SYNCHRONIZED` - only one process computes the solution

- `DS_PARALLEL_DISTRIBUTED` - all processes participate in the solution

## See Also

DS: Direct Solver (or Dense System), `DSSetParallel()`

## Level

advanced

## Location

include/slepcds.h

Index of all DS routines Table of Contents for all manual pages Index of all manual pages